Subject: LDP-SessionRej / Bad KeepAlive

From: [email-masked]
Date: Sun, 1 Oct 2000 19:33:42 +0900

>> Thank u.

>> I have one more doubt on the usage of "Session Rejected/Bad keep alive"
>> when we need to use it exactly.

>Use it when the Keep Alive time requested by the peer's Initialization
>message is unacceptable.

Bob,
u r saying that during initialization message if KeepAlive time is unacceptable send this notification.
but the draft says 

"      The receiving LSR MUST calculate the value of
         the KeepAlive Timer by using the smaller of its proposed
         KeepAlive Time and the KeepAlive Time received in the PDU.  The
         value chosen for KeepAlive Time indicates the maximum number of
         seconds that may elapse between the receipt of successive PDUs
         from the LDP peer on the session TCP connection.  The KeepAlive
         Timer is reset each time a PDU arrives."

(pls ref : Initialization message)

In the case of max PDU length etc....there is some range and LSR should obey them, during negotiation
if it is out of range the negotiation fails....and LSR sends a suitable notification to the peer. I feel this is the way it
should work..IF I AM WORNG  PLS CORRECT ME.

but in case of keepAlive how it happens.....as it always takes min of the proposed values.

Draft has defined these new TLVs (Unsupported Address family, Bad_KeepAlive,...) but why
it has not said anything about its usage....I mean when and where to use....how to handle it....?

Thanks in advance

regards
seenu